# Sphinx-generated HTML documentation is not suitable for packaging; see
# RHBZ#2006555 for discussion. Additionally, upstream uses the furo theme,
# which we would have to patch; see RHBZ#1910798.
#
# We could, in theory, generate PDF documentation as a substitute, but this
# would still require it requires python3dist(myst-parser), which is not
# currently packaged–and we are not willing to package it solely for this
# purpose.

%bcond_with check

Name:           python-editables
Version:        0.5
Release:        %mkrel 3
Summary:        Editable installations
Group:          Development/Python
License:        MIT
URL:            https://github.com/pfmoore/editables
# PyPI source distributions lack tests; use the GitHub archive
Source0:        %{url}/archive/%{version}/editables-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

# Most of the dependencies, and all of the pytest options, in tox.ini are for
# coverage analysis and for installation with pip/virtualenv. Rather than
# working around all of these, it is simpler not to use tox for dependency
# generation or testing.
BuildRequires:  pyproject-rpm-macros
%if %{with check}
BuildRequires:  python3dist(pytest)
%endif

%global common_description %{expand:
A Python library for creating “editable wheels”

This library supports the building of wheels which, when installed, will expose
packages in a local directory on sys.path in “editable mode”. In other words,
changes to the package source will be reflected in the package visible to
Python, without needing a reinstall.}

%description %{common_description}


%package -n python3-editables
Summary:        %{summary}

%description -n python3-editables %{common_description}


%prep
%autosetup -n editables-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files editables


%if %{with check}
%check
%pytest
%endif


%files -n python3-editables -f %{pyproject_files}
# pyproject-rpm-macros handles LICENSE.txt; verify with “rpm -qL -p …”
%doc CHANGELOG.md
%doc README.md


%changelog
* Fri Feb 21 2025 wally <wally> 0.5-3.mga10
+ Revision: 2150533
- rebuild for python3.13

* Thu Dec 07 2023 wally <wally> 0.5-2.mga10
+ Revision: 2014962
- rebuild for py3.12
- add bcond for %%check

* Tue Oct 17 2023 papoteur <papoteur> 0.5-1.mga10
+ Revision: 1998089
- new 0.5

* Fri Jul 01 2022 joequant <joequant> 0.3-1.mga9
+ Revision: 1866884
- fix deps
- add deps
- add group
- imported package python-editables

